Subject: RE: [Speechsc] Speed vs Accuracy and Sensitivity Threshold values

From: "Bennett, Patrick" <[email-masked]>
Date: Wed, 14 Jan 2004 13:42:09 -0500

>From: Jeff Kusnitz <[email-masked]>
>Date: Tue, 13 Jan 2004 15:50:05 -0800
>
>Sections 8.4.2 and 8.4.3 describe the Sensitivity-Level  and
Speed-vs-Accuracy settings, but they don't specify the ranges nor the
default value.  To be consistent with 
>other parameters, might I suggest the range be between 0 and 100 (which
maps nicely to VoiceXML 2.0's range of 0.0 to 1.0), and default values
that are either platform-
>specific, as is the case with confidence threshold, or just 50.

If mapping nicely to VoiceXML ranges is desired (it should be), then why
not just use 0.0 to 1.0?  
Separately, the same can be said for confidence thresholds (they should
be 0.0 to 1.0 - if a native engine uses 0 to 100, it's an easy
translation).

Cheers,
Patrick Bennett
Interactive Intelligence, Inc.

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: "Wyss, Felix" <[email-masked]>
Date: Mon, 19 Jan 2004 14:47:09 -0500

A range of 0...100 seems very arbitrary and limits the possible
precision (not that this matters in this case, but nevertheless).  Why
not 0...1000 or 0...1000000?  In my opinion, either the range should be
0.0 to 1.0 with arbitrary precision or the value should always be sent
with the upper bound (i.e. as fraction), for example: "12/100",
"437/1000"

--Felix

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jeff Kusnitz
> Sent: Monday, January 19, 2004 14:23
> To: Sarvi Shanmugham
> Cc: David Oran; IETF SPEECHSC (E-mail); [email-masked]
> Subject: Re: [Speechsc] Speed vs Accuracy and Sensitivity 
> Threshold values
> 
> The problem with using the same values as VoiceXML uses is 
> that VoiceXML values are 0.0 to 1.0, while MRCP are defined 
> to be integer (the production for them is "1*DIGIT CRLF").  
> Confidence-level is specified in MRCP already as 0-100, while 
> the VoiceXML counterpart is 0.0-1.0.
> 
> Thanks,
> Jeff
> 
> 
> > I am fine with either 0.0 to 1.0 or 0 to 100. My leaning is toward 
> > keeping the set of header fields that have a parallel in 
> VXML to have 
> > the same range and default.
> > The default value is already specified as platform specific, and I 
> > would
> 
> > prefer to leave it as is, since different reco vendors have 
> different 
> > default values or for that matter different charactersitics for the 
> > range of values.
> 
>